Last Comment Bug 737156 - Map role=note to IA2 role NOTE instead of SECTION
: Map role=note to IA2 role NOTE instead of SECTION
Status: RESOLVED FIXED
[good first bug][mentor=eitan@monoton...
:
Product: Core
Classification: Components
Component: Disability Access APIs (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla14
Assigned To: Mark Capella [:capella]
:
Mentors:
Depends on:
Blocks: aria 734982
  Show dependency treegraph
 
Reported: 2012-03-19 13:13 PDT by David Bolter [:davidb]
Modified: 2012-03-23 06:00 PDT (History)
4 users (show)
surkov.alexander: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch (v1) (2.46 KB, patch)
2012-03-22 04:04 PDT, Mark Capella [:capella]
eitan: review+
dbolter: review+
Details | Diff | Review

Description David Bolter [:davidb] 2012-03-19 13:13:05 PDT
Reported by conformance testers. (Be mindful of bug 610362)
Comment 1 alexander :surkov 2012-03-19 17:38:13 PDT
spec: http://www.w3.org/WAI/PF/aria/roles#note
impl guide: http://www.w3.org/WAI/PF/aria-implementation/#mapping_role_table

put an entry for role note to nsARIAMap.cpp (similar to "math" entry).
Comment 2 alexander :surkov 2012-03-19 17:46:44 PDT
add a test to test_aria_roles.html
Comment 3 Mark Capella [:capella] 2012-03-22 04:04:49 PDT
Created attachment 608294 [details] [diff] [review]
Patch (v1)

test_aria_roles.html fails before code changes are applied to nsariamap.cpp (found 107 expected 123), pass just fine afterwards.

Let me know if you need anything further here -- mark
Comment 4 David Bolter [:davidb] 2012-03-22 06:21:45 PDT
Comment on attachment 608294 [details] [diff] [review]
Patch (v1)

Review of attachment 608294 [details] [diff] [review]:
-----------------------------------------------------------------

(r=me)
Comment 5 Eitan Isaacson [:eeejay] 2012-03-22 09:25:53 PDT
Comment on attachment 608294 [details] [diff] [review]
Patch (v1)

Review of attachment 608294 [details] [diff] [review]:
-----------------------------------------------------------------

Looks good, thanks!
Comment 7 Marco Bonardo [::mak] 2012-03-23 06:00:19 PDT
https://hg.mozilla.org/mozilla-central/rev/98b90ef66f24

Note You need to log in before you can comment on or make changes to this bug.